Skip to content
Ona Docs

CreateAgentExecutionConversationToken

POST/gitpod.v1.AgentService/CreateAgentExecutionConversationToken

Creates a token for conversation access with a specific agent run.

This method generates a temporary token that can be used to securely connect to an ongoing agent conversation, for example in a web UI.

Examples

  • Create a token to join an agent run conversation in a front-end application:

    agentExecutionId: "6fa1a3c7-fbb7-49d1-ba56-1890dc7c4c35"
Body ParametersJSONExpand Collapse
agentExecutionId: optional string
formatuuid
ReturnsExpand Collapse
token: optional string

CreateAgentExecutionConversationToken

curl https://app.gitpod.io/api/gitpod.v1.AgentService/CreateAgentExecutionConversationToken \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{
  "token": "token"
}
Returns Examples
{
  "token": "token"
}